> ## Documentation Index
> Fetch the complete documentation index at: https://docs-sms.mifumolabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Notifications

List all notifications for the current user.

<ParamField query="page" type="integer">
  Page number (default: 1)
</ParamField>

<ParamField query="page_size" type="integer">
  Items per page (default: 20, max: 100)
</ParamField>

<ParamField query="unread_only" type="boolean">
  Filter to show only unread notifications
</ParamField>

## Success Response (200)

<ResponseExample>
  ```json theme={null}
  {
    "count": 25,
    "next": "https://mifumosms.mifumolabs.com/api/notifications/?page=2",
    "previous": null,
    "results": [
      {
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "title": "SMS Sent Successfully",
        "message": "Your SMS to +255614853618 was delivered",
        "type": "success",
        "is_read": false,
        "created_at": "2025-11-27T10:30:00Z"
      }
    ]
  }
  ```
</ResponseExample>
